---
title: <angle-percentage>
slug: Web/CSS/angle-percentage
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Reference
  - angle-percentage
  - units
  - values
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;angle-percentage&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> represents a value that can be either a {{Cssxref("angle")}} or a {{Cssxref("percentage")}}.</p>

<h2 id="Syntax">Syntax</h2>

<p>Refer to the documentation for {{Cssxref("angle")}} and {{Cssxref("percentage")}} for details of the individual syntaxes allowed by this type.</p>

<h2 id="Use_in_calc">Use in calc()</h2>

<p>Where an <code>&lt;angle-percentage&gt;</code> is specified as an allowable type, this means that the percentage resolves to an angle and therefore can be used in a {{Cssxref("calc()")}} expression.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Values', '#mixed-percentages', '&lt;angle-percentage&gt;')}}</td>
   <td>{{Spec2('CSS4 Values')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Values', '#mixed-percentages', '&lt;angle-percentage&gt;')}}</td>
   <td>{{Spec2('CSS3 Values')}}</td>
   <td>Defines <code>&lt;angle-percentage&gt;</code>. Adds <code>calc()</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.angle-percentage")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Types">CSS data types</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Images/Using_CSS_gradients">Using CSS gradients</a></li>
 <li><code><a href="/en-US/docs/Web/CSS/conic-gradient">conic-gradient()</a></code> and <code><a href="/en-US/docs/Web/CSS/repeating-conic-gradient">repeating-conic-gradient()</a></code></li>
</ul>
